
/*
 * bthelper.c
 */

#include <stdlib.h>
#include <stdio.h>
#include <getopt.h>
#include <errno.h>

#include <glib.h>

#include <bluetooth/sdp.h>
#include <bluetooth/sdp_lib.h>

#include "bthelper.h"

gchar *
bthelper_svc_id_to_class(guint svc)
{
  uuid_t uuid;
  gchar str[MAX_LEN_SERVICECLASS_UUID_STR];

  uuid.type=SDP_UUID16;
  uuid.value.uuid16=(uint16_t)svc;
  sdp_svclass_uuid2strn(&uuid, str, MAX_LEN_SERVICECLASS_UUID_STR);
  return g_strdup(str);
}
